Comment 160 for bug 209520

oh - sorry, you mentioned upgrading from 7.10 so I assumed you were running 8.04. Yes, for 8.10 and above the default samba client behavior matches upstream's, and doesn't allow insecure security=share connections by default.

You can change the behavior on the client side by setting 'client lanman auth = yes' on the client's /etc/samba/smb.conf, as mentioned earlier in the bug report.

The only reason this bug is open is for gvfs to provide a better error message when trying to connect to such a server - the client will still refuse to connect to such servers by default, for security reasons.